(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34648,       1242]
NotebookOptionsPosition[     24381,        932]
NotebookOutlinePosition[     31327,       1147]
CellTagsIndexPosition[     29552,       1094]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["SetFaceAndFont Palette", "IndexSection",
 CellTags->"MasterIndexHeading"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["CopyAsInputFormK",
  FontWeight->"Bold"],
 " button, copies the selected text in Input format, with formatting removed, \
see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont"}]
}], "Index",
 CellTags->"CopyAsInputFormK button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Peel",
  FontWeight->"Bold"],
 " button peels of brackets and quotation marks around the selected text, \
converts single cells to Text style and perform a number of other actions \
depending on the selection, see  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont"}]
}], "Index",
 CellTags->"Peel button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Search",
  FontWeight->"Bold"],
 " button searches for information in the",
 Cell[BoxData[
  FormBox[
   ButtonBox[
    RowBox[{" ", 
     RowBox[{
      RowBox[{"wolfram", ".", "com"}], " ", "site"}]}],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["http://wolfram.com"], None},
    ButtonNote->"http://wolfram.com"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " using words in the selection ,  see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont"}]
}], "Index",
 CellChangeTimes->{{3.492230668931016*^9, 3.4922306741193123`*^9}, {
  3.492230717872815*^9, 3.492230717883816*^9}},
 CellTags->"Search button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["MG",
  FontWeight->"Bold"],
 " button searches in the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " forums (especially ",
 ButtonBox["MathGroup",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://forums.wolfram.com/mathgroup/"], None}],
 ") for information using words in the selection,  see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont"}]
}], "Index",
 CellChangeTimes->{3.4920156729893293`*^9},
 CellTags->"MG button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["GC",
  FontWeight->"Bold"],
 " button uses Google Code search for finding ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code containing the selected words,  see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont"}]
}], "Index",
 CellChangeTimes->{{3.492015635226169*^9, 3.492015635929209*^9}, {
  3.4920156663699503`*^9, 3.4920156695541325`*^9}},
 CellTags->"GC button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Web",
  FontWeight->"Bold"],
 " button make an unrestricted Google search using words in the selection ,  \
see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont"}]
}], "Index",
 CellTags->"Web button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["StyleRemove",
  FontFamily->"Times",
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " button ",
 " removes Style formatting of the selection, in a way similar to the ",
 StyleBox["\"Remove Options...\" ",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 "menu item",
 ", see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"StyleRemove button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["GetFontOptions",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 " button reads the font options ",
 StyleBox["FontColor",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontFamily",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontProperties",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontSize",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontSlant",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontTracking",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontVariations",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontWeight",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["Background",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " into the variable ",
 StyleBox["$FontPaintOptions",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " from the selection. Together with the ",
 StyleBox[ButtonBox["PaintFontOptions button",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"PaintFontOptions button"}],
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 " , these buttons are thus analogous to the Format Painter feature in \
Microsoft Word. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"GetFontOptions button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["PaintFontOptions",
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 " button sets the font options ",
 StyleBox["FontColor",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontFamily",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontProperties",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontSize",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontSlant",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontTracking",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontVariations",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", ",
 StyleBox["FontWeight",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["Background",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "  for the selection from the variable ",
 StyleBox["$FontPaintOptions",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ". Together with the ",
 StyleBox[ButtonBox["GetFontOptions button",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"GetFontOptions button"}],
  FontFamily->"Helvetica",
  FontWeight->"Plain",
  FontSlant->"Plain"],
 " , these buttons are thus analogous to the Format Painter feature in \
Microsoft Word. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"PaintFontOptions button"],

Cell[TextData[{
 "SetFaceAndFont2 Palette,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"SetFaceAndFont"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["*\[Rule]_",
  FontWeight->"Bold"],
 " button converts \"*\"signs to spaces. Using the \"",
 StyleBox["CopyAsInputFormK", "TI",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 StyleBox["\"", "TI",
  FontFamily->"Times",
  FontSlant->"Plain"],
 " button sometimes introduces \"*\" signs. This is not always wanted, and \
then this button can be used to convert back. The combinations \"",
 StyleBox["(*",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["*)",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["*^",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["**",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\" and \"",
 StyleBox["*=",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\" are not affected. See  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"*\[Rule]_ button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["\[SelectionPlaceholder], \[SelectionPlaceholder]",
  FontWeight->"Bold"],
 "  button pastes a copy of the selection after the selection, with a comma \
in between. If whole cells are chosen, new cells are inserted, without \
commas. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"o, o button"],

Cell[TextData[{
 StyleBox["Duplicate button: The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["\[SelectionPlaceholder], \[SelectionPlaceholder]",
  FontWeight->"Bold"],
 "  button pastes a copy of the selection after the selection, with a comma \
in between. If whole cells are chosen, new cells are inserted, without \
commas. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Duplicate"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "(* \[SelectionPlaceholder] *)",
 StyleBox[" ",
  FontWeight->"Bold"],
 " button wraps a comment parenthesis around the selection or inserts a \
comment parenthesis wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"(* o *) button"],

Cell[TextData[{
 StyleBox["Comment button: The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "(* \[SelectionPlaceholder] *)",
 StyleBox[" ",
  FontWeight->"Bold"],
 " button wraps a comment parenthesis around the selection or inserts a \
comment parenthesis wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Comments"],

Cell[TextData[{
 StyleBox["Comment button: The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "(* \[SelectionPlaceholder] *)",
 StyleBox[" ",
  FontWeight->"Bold"],
 " button wraps a comment parenthesis around the selection or inserts a \
comment parenthesis wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"(* ... *)"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Plain",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " button turns the options FontSlant, FontWeight and Underline to \"",
 StyleBox["Plain",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\", \"",
 StyleBox["Plain",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "\" and \"",
 StyleBox["False",
  FontFamily->"Courier",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "\", see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Plain"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["B",
  FontWeight->"Bold"],
 " (bold) button turns the option FontWeight to \"",
 StyleBox["Bold",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\",  see ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"B (bold)"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["I",
  FontSlant->"Italic"],
 " (Italic) button turns the option FontSlant to \"",
 StyleBox["Italic",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\",  see  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"I (Italics)"],

Cell[TextData[{
 "The ",
 StyleBox["U",
  FontVariations->{"Underline"->True}],
 " (underline) button turns the option Underline to \"",
 StyleBox["Yrue",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 "\",  see  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"U (underline)"],

Cell[TextData[{
 "The (\[SelectionPlaceholder]) button wraps a parenthesis around the \
selection or inserts a parenthesis wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"(o) button"],

Cell[TextData[{
 "Parenthesis button:The (\[SelectionPlaceholder]) button wraps a parenthesis \
around the selection or inserts a parenthesis wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Parentheses"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["{\[SelectionPlaceholder]}",
  FontWeight->"Bold"],
 " button wraps curly braces around the selection or inserts curly braces \
wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"{o} button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["[\[SelectionPlaceholder]]",
  FontWeight->"Bold"],
 " button wraps square brackets around the selection or inserts square \
brackets wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"[o] button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "\[LeftDoubleBracket]\[SelectionPlaceholder]\[RightDoubleBracket] button \
wraps double brackets around the selection or inserts ",
 "double brackets",
 " wrapping a placeholder. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"[[o]] button"],

Cell[TextData[{
 StyleBox["Bracket buttons:\nThe ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["{\[SelectionPlaceholder]}",
  FontWeight->"Bold"],
 " button wraps curly braces around the selection or inserts curly braces \
wrapping a placeholder. ",
 StyleBox["\nThe ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["[\[SelectionPlaceholder]]",
  FontWeight->"Bold"],
 " button wraps square brackets around the selection or inserts square \
brackets wrapping a placeholder. ",
 StyleBox["\nThe ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "\[LeftDoubleBracket]\[SelectionPlaceholder]\[RightDoubleBracket] button \
wraps double brackets around the selection or inserts double brackets \
wrapping a placeholder. \nSee ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Brackets"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["\"\[SelectionPlaceholder]\"",
  FontWeight->"Bold"],
 " button wraps quotes around the selection or inserts quotes wrapping a \
placeholder.  This button changes ",
 StyleBox["\"",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["\\",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " inside the selected text to ",
 StyleBox["\\\"",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["\\\\",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", according to the way ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " handles strings within strings. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"\"o\" button"],

Cell[TextData[{
 StyleBox["Quote button: The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["\"\[SelectionPlaceholder]\"",
  FontWeight->"Bold"],
 " button wraps quotes around the selection or inserts quotes wrapping a \
placeholder.  This button changes ",
 StyleBox["\"",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["\\",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " inside the selected text to ",
 StyleBox["\\\"",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 " and ",
 StyleBox["\\\\",
  FontFamily->"Courier",
  FontSlant->"Plain"],
 ", according to the way ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " handles strings within strings. See ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Quotes"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "9 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"9 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "10 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"10 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "11 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"11 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "12 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellChangeTimes->{{3.492016567324482*^9, 3.49201657078768*^9}},
 CellTags->"12 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "14 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"14 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "16 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"16 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "18 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"18 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "24 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"24 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "36 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"36 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "72 fontsize button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"72 fontsize button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Courier12",
  FontFamily->"Courier",
  FontSize->12,
  FontSlant->"Plain"],
 " button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Courier12 button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Courier B12",
  FontFamily->"Courier",
  FontSize->12,
  FontWeight->"Bold",
  FontSlant->"Plain"],
 " button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Courier B12 button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Verdana11",
  FontFamily->"Helvetica",
  FontSize->11,
  FontSlant->"Plain"],
 " button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Verdana11 button"],

Cell[TextData[{
 StyleBox["The ",
  FontSize->12,
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "Times12 button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Times12 button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Times Italic12",
  FontFamily->"Times",
  FontSize->12,
  FontSlant->"Italic"],
 " button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Times Italic12 button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 "Black fontcolor button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Black fontcolor button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Red fontcolor",
  FontColor->RGBColor[1, 0, 0]],
 " button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Red fontcolor button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Green fontcolor",
  FontColor->RGBColor[0, 0.6, 0]],
 " button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Green fontcolor button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Blue fontcolor",
  FontColor->RGBColor[0, 0, 0.6]],
 " button,  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Blue fontcolor button"],

Cell[TextData[{
 StyleBox["The ",
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontVariations->{"Underline"->False}],
 StyleBox["Background color buttons",
  Background->RGBColor[1, 0.8, 1]],
 ",  ",
 ButtonBox["SetFaceAndFont",
  BaseStyle->"AddOnsLink",
  ButtonData:>{"SetFaceAndFont", "i:2"}]
}], "Index",
 CellTags->"Background color buttons"]
},
ScreenStyleEnvironment->"Brackets",
WindowSize->{568, 773},
WindowMargins->{{257, Automatic}, {39, Automatic}},
ShowCellTags->True,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "MasterIndexHeading"->{
  Cell[545, 20, 79, 1, 54, "IndexSection",
   CellTags->"MasterIndexHeading"]},
 "CopyAsInputFormK button"->{
  Cell[627, 23, 400, 13, 45, "Index",
   CellTags->"CopyAsInputFormK button"]},
 "Peel button"->{
  Cell[1030, 38, 477, 14, 61, "Index",
   CellTags->"Peel button"]},
 "Search button"->{
  Cell[1510, 54, 802, 26, 51, "Index",
   CellTags->"Search button"]},
 "MG button"->{
  Cell[2315, 82, 613, 21, 45, "Index",
   CellTags->"MG button"]},
 "GC button"->{
  Cell[2931, 105, 549, 17, 45, "Index",
   CellTags->"GC button"]},
 "Web button"->{
  Cell[3483, 124, 373, 13, 45, "Index",
   CellTags->"Web button"]},
 "StyleRemove button"->{
  Cell[3859, 139, 575, 21, 45, "Index",
   CellTags->"StyleRemove button"]},
 "GetFontOptions button"->{
  Cell[4437, 162, 1589, 63, 93, "Index",
   CellTags->"GetFontOptions button"]},
 "PaintFontOptions button"->{
  Cell[6029, 227, 1588, 63, 93, "Index",
   CellTags->"PaintFontOptions button"]},
 "SetFaceAndFont"->{
  Cell[7620, 292, 185, 6, 29, "Index",
   CellTags->"SetFaceAndFont"]},
 "\[RawStar]\[Rule]_ button"->{
  Cell[7808, 300, 1057, 40, 77, "Index",
   CellTags->"\[RawStar]\[Rule]_ button"]},
 "o, o button"->{
  Cell[8868, 342, 506, 14, 45, "Index",
   CellTags->"o, o button"]},
 "Duplicate"->{
  Cell[9377, 358, 522, 14, 61, "Index",
   CellTags->"Duplicate"]},
 "(\[RawStar] o \[RawStar]) button"->{
  Cell[9902, 374, 455, 14, 45, "Index",
   CellTags->"(\[RawStar] o \[RawStar]) button"]},
 "Comments"->{
  Cell[10360, 390, 465, 14, 45, "Index",
   CellTags->"Comments"]},
 "(\[RawStar] ... \[RawStar])"->{
  Cell[10828, 406, 466, 14, 45, "Index",
   CellTags->"(\[RawStar] ... \[RawStar])"]},
 "Plain"->{
  Cell[11297, 422, 753, 29, 45, "Index",
   CellTags->"Plain"]},
 "B (bold)"->{
  Cell[12053, 453, 423, 16, 29, "Index",
   CellTags->"B (bold)"]},
 "I (Italics)"->{
  Cell[12479, 471, 431, 16, 29, "Index",
   CellTags->"I (Italics)"]},
 "U (underline)"->{
  Cell[12913, 489, 355, 13, 29, "Index",
   CellTags->"U (underline)"]},
 "(o) button"->{
  Cell[13271, 504, 288, 7, 45, "Index",
   CellTags->"(o) button"]},
 "Parentheses"->{
  Cell[13562, 513, 308, 7, 45, "Index",
   CellTags->"Parentheses"]},
 "{o} button"->{
  Cell[13873, 522, 423, 13, 45, "Index",
   CellTags->"{o} button"]},
 "[o] button"->{
  Cell[14299, 537, 429, 13, 45, "Index",
   CellTags->"[o] button"]},
 "[[o]] button"->{
  Cell[14731, 552, 443, 13, 45, "Index",
   CellTags->"[[o]] button"]},
 "Brackets"->{
  Cell[15177, 567, 999, 28, 125, "Index",
   CellTags->"Brackets"]},
 "\"o\" button"->{
  Cell[16179, 597, 865, 32, 61, "Index",
   CellTags->"\"o\" button"]},
 "Quotes"->{
  Cell[17047, 631, 873, 32, 61, "Index",
   CellTags->"Quotes"]},
 "9 fontsize button"->{
  Cell[17923, 665, 286, 10, 29, "Index",
   CellTags->"9 fontsize button"]},
 "10 fontsize button"->{
  Cell[18212, 677, 288, 10, 29, "Index",
   CellTags->"10 fontsize button"]},
 "11 fontsize button"->{
  Cell[18503, 689, 288, 10, 29, "Index",
   CellTags->"11 fontsize button"]},
 "12 fontsize button"->{
  Cell[18794, 701, 353, 11, 29, "Index",
   CellTags->"12 fontsize button"]},
 "14 fontsize button"->{
  Cell[19150, 714, 288, 10, 29, "Index",
   CellTags->"14 fontsize button"]},
 "16 fontsize button"->{
  Cell[19441, 726, 288, 10, 29, "Index",
   CellTags->"16 fontsize button"]},
 "18 fontsize button"->{
  Cell[19732, 738, 288, 10, 29, "Index",
   CellTags->"18 fontsize button"]},
 "24 fontsize button"->{
  Cell[20023, 750, 288, 10, 29, "Index",
   CellTags->"24 fontsize button"]},
 "36 fontsize button"->{
  Cell[20314, 762, 288, 10, 29, "Index",
   CellTags->"36 fontsize button"]},
 "72 fontsize button"->{
  Cell[20605, 774, 288, 10, 29, "Index",
   CellTags->"72 fontsize button"]},
 "Courier12 button"->{
  Cell[20896, 786, 362, 14, 29, "Index",
   CellTags->"Courier12 button"]},
 "Courier B12 button"->{
  Cell[21261, 802, 388, 15, 30, "Index",
   CellTags->"Courier B12 button"]},
 "Verdana11 button"->{
  Cell[21652, 819, 364, 14, 29, "Index",
   CellTags->"Verdana11 button"]},
 "Times12 button"->{
  Cell[22019, 835, 296, 11, 29, "Index",
   CellTags->"Times12 button"]},
 "Times Italic12 button"->{
  Cell[22318, 848, 371, 14, 29, "Index",
   CellTags->"Times Italic12 button"]},
 "Black fontcolor button"->{
  Cell[22692, 864, 296, 10, 29, "Index",
   CellTags->"Black fontcolor button"]},
 "Red fontcolor button"->{
  Cell[22991, 876, 339, 12, 29, "Index",
   CellTags->"Red fontcolor button"]},
 "Green fontcolor button"->{
  Cell[23333, 890, 345, 12, 29, "Index",
   CellTags->"Green fontcolor button"]},
 "Blue fontcolor button"->{
  Cell[23681, 904, 343, 12, 29, "Index",
   CellTags->"Blue fontcolor button"]},
 "Background color buttons"->{
  Cell[24027, 918, 350, 12, 29, "Index",
   CellTags->"Background color buttons"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"MasterIndexHeading", 24747, 944},
 {"CopyAsInputFormK button", 24857, 947},
 {"Peel button", 24955, 950},
 {"Search button", 25044, 953},
 {"MG button", 25131, 956},
 {"GC button", 25214, 959},
 {"Web button", 25299, 962},
 {"StyleRemove button", 25393, 965},
 {"GetFontOptions button", 25498, 968},
 {"PaintFontOptions button", 25609, 971},
 {"SetFaceAndFont", 25713, 974},
 {"\[RawStar]\[Rule]_ button", 25817, 977},
 {"o, o button", 25920, 980},
 {"Duplicate", 26006, 983},
 {"(\[RawStar] o \[RawStar]) button", 26113, 986},
 {"Comments", 26219, 989},
 {"(\[RawStar] ... \[RawStar])", 26321, 992},
 {"Plain", 26420, 995},
 {"B (bold)", 26500, 998},
 {"I (Italics)", 26586, 1001},
 {"U (underline)", 26677, 1004},
 {"(o) button", 26767, 1007},
 {"Parentheses", 26854, 1010},
 {"{o} button", 26941, 1013},
 {"[o] button", 27028, 1016},
 {"[[o]] button", 27117, 1019},
 {"Brackets", 27204, 1022},
 {"\"o\" button", 27292, 1025},
 {"Quotes", 27377, 1028},
 {"9 fontsize button", 27467, 1031},
 {"10 fontsize button", 27569, 1034},
 {"11 fontsize button", 27672, 1037},
 {"12 fontsize button", 27775, 1040},
 {"14 fontsize button", 27878, 1043},
 {"16 fontsize button", 27981, 1046},
 {"18 fontsize button", 28084, 1049},
 {"24 fontsize button", 28187, 1052},
 {"36 fontsize button", 28290, 1055},
 {"72 fontsize button", 28393, 1058},
 {"Courier12 button", 28494, 1061},
 {"Courier B12 button", 28595, 1064},
 {"Verdana11 button", 28696, 1067},
 {"Times12 button", 28793, 1070},
 {"Times Italic12 button", 28895, 1073},
 {"Black fontcolor button", 29005, 1076},
 {"Red fontcolor button", 29114, 1079},
 {"Green fontcolor button", 29223, 1082},
 {"Blue fontcolor button", 29333, 1085},
 {"Background color buttons", 29445, 1088}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 79, 1, 54, "IndexSection",
 CellTags->"MasterIndexHeading"],
Cell[627, 23, 400, 13, 45, "Index",
 CellTags->"CopyAsInputFormK button"],
Cell[1030, 38, 477, 14, 61, "Index",
 CellTags->"Peel button"],
Cell[1510, 54, 802, 26, 51, "Index",
 CellTags->"Search button"],
Cell[2315, 82, 613, 21, 45, "Index",
 CellTags->"MG button"],
Cell[2931, 105, 549, 17, 45, "Index",
 CellTags->"GC button"],
Cell[3483, 124, 373, 13, 45, "Index",
 CellTags->"Web button"],
Cell[3859, 139, 575, 21, 45, "Index",
 CellTags->"StyleRemove button"],
Cell[4437, 162, 1589, 63, 93, "Index",
 CellTags->"GetFontOptions button"],
Cell[6029, 227, 1588, 63, 93, "Index",
 CellTags->"PaintFontOptions button"],
Cell[7620, 292, 185, 6, 29, "Index",
 CellTags->"SetFaceAndFont"],
Cell[7808, 300, 1057, 40, 77, "Index",
 CellTags->"\[RawStar]\[Rule]_ button"],
Cell[8868, 342, 506, 14, 45, "Index",
 CellTags->"o, o button"],
Cell[9377, 358, 522, 14, 61, "Index",
 CellTags->"Duplicate"],
Cell[9902, 374, 455, 14, 45, "Index",
 CellTags->"(\[RawStar] o \[RawStar]) button"],
Cell[10360, 390, 465, 14, 45, "Index",
 CellTags->"Comments"],
Cell[10828, 406, 466, 14, 45, "Index",
 CellTags->"(\[RawStar] ... \[RawStar])"],
Cell[11297, 422, 753, 29, 45, "Index",
 CellTags->"Plain"],
Cell[12053, 453, 423, 16, 29, "Index",
 CellTags->"B (bold)"],
Cell[12479, 471, 431, 16, 29, "Index",
 CellTags->"I (Italics)"],
Cell[12913, 489, 355, 13, 29, "Index",
 CellTags->"U (underline)"],
Cell[13271, 504, 288, 7, 45, "Index",
 CellTags->"(o) button"],
Cell[13562, 513, 308, 7, 45, "Index",
 CellTags->"Parentheses"],
Cell[13873, 522, 423, 13, 45, "Index",
 CellTags->"{o} button"],
Cell[14299, 537, 429, 13, 45, "Index",
 CellTags->"[o] button"],
Cell[14731, 552, 443, 13, 45, "Index",
 CellTags->"[[o]] button"],
Cell[15177, 567, 999, 28, 125, "Index",
 CellTags->"Brackets"],
Cell[16179, 597, 865, 32, 61, "Index",
 CellTags->"\"o\" button"],
Cell[17047, 631, 873, 32, 61, "Index",
 CellTags->"Quotes"],
Cell[17923, 665, 286, 10, 29, "Index",
 CellTags->"9 fontsize button"],
Cell[18212, 677, 288, 10, 29, "Index",
 CellTags->"10 fontsize button"],
Cell[18503, 689, 288, 10, 29, "Index",
 CellTags->"11 fontsize button"],
Cell[18794, 701, 353, 11, 29, "Index",
 CellTags->"12 fontsize button"],
Cell[19150, 714, 288, 10, 29, "Index",
 CellTags->"14 fontsize button"],
Cell[19441, 726, 288, 10, 29, "Index",
 CellTags->"16 fontsize button"],
Cell[19732, 738, 288, 10, 29, "Index",
 CellTags->"18 fontsize button"],
Cell[20023, 750, 288, 10, 29, "Index",
 CellTags->"24 fontsize button"],
Cell[20314, 762, 288, 10, 29, "Index",
 CellTags->"36 fontsize button"],
Cell[20605, 774, 288, 10, 29, "Index",
 CellTags->"72 fontsize button"],
Cell[20896, 786, 362, 14, 29, "Index",
 CellTags->"Courier12 button"],
Cell[21261, 802, 388, 15, 30, "Index",
 CellTags->"Courier B12 button"],
Cell[21652, 819, 364, 14, 29, "Index",
 CellTags->"Verdana11 button"],
Cell[22019, 835, 296, 11, 29, "Index",
 CellTags->"Times12 button"],
Cell[22318, 848, 371, 14, 29, "Index",
 CellTags->"Times Italic12 button"],
Cell[22692, 864, 296, 10, 29, "Index",
 CellTags->"Black fontcolor button"],
Cell[22991, 876, 339, 12, 29, "Index",
 CellTags->"Red fontcolor button"],
Cell[23333, 890, 345, 12, 29, "Index",
 CellTags->"Green fontcolor button"],
Cell[23681, 904, 343, 12, 29, "Index",
 CellTags->"Blue fontcolor button"],
Cell[24027, 918, 350, 12, 29, "Index",
 CellTags->"Background color buttons"]
}
]
*)

(* End of internal cache information *)
