(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    190486,       4221]
NotebookOptionsPosition[    189964,       4198]
NotebookOutlinePosition[    190537,       4222]
CellTagsIndexPosition[    190461,       4217]
WindowFrame->Palette*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 DynamicModuleBox[{$CellContext`$FontPaintOptions = {
  FontFamily -> "Verdana", FontSize -> 11, FontColor -> 
   GrayLevel[0]}, $CellContext`buttontext = StyleBox[
   RowBox[{"   Paint", " ", "Font", " ", "Options     "}], FontFamily -> 
   "Verdana", FontSize -> 11, FontColor -> GrayLevel[0]]}, GridBox[{
    {GridBox[{
       {
        ButtonBox[
         StyleBox["CopyAsInputFormK",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.95, 0.95, 1],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`tws}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], 
               If[ReplaceAll["CursorPosition", 
                  Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                "CellBracket", $CellContext`readitem = Cell[
                  TextData[$CellContext`readitem], "Input", 
                  ShowSpecialCharacters -> False]], 
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 BoxData[
                  Blank[Graphics3D]], 
                 BoxData[
                  Blank[SurfaceGraphics]], 
                 Blank[GraphicsData]]], SelectionMove[
                 InputNotebook[], All, Cell]; $CellContext`readitem = 
                NotebookRead[
                  InputNotebook[]]]; If[
               StringQ[$CellContext`readitem], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Input", 
                 ShowSpecialCharacters -> False]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Input", 
                    ShowSpecialCharacters -> False], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                    And[
                    Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"Comment", "[", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], "]"}], 
                    ";"}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   BoxData[
                    Pattern[$CellContext`a1, 
                    Alternatives[
                    Blank[Graphics3D], 
                    Blank[SurfaceGraphics]]]], 
                   Pattern[$CellContext`a2, 
                    BlankNullSequence[]]] :> Cell[
                   BoxData[
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    ToBoxes[
                    Cell[
                    BoxData[$CellContext`a1], $CellContext`a2]]}], "]"}]], 
                   "Input"]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "\[IndentingNewLine]", 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}] :> ReplaceAll[
                   BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\[IndentingNewLine]", $CellContext`b1}]}], {
                   "\[IndentingNewLine]" -> "\n"}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    Blank[]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}], 
                   And[
                    Not[
                    MemberQ[{$CellContext`b1}, "\n"]], 
                    Not[
                    MemberQ[{$CellContext`b1}, "\[IndentingNewLine]"]], 
                    MemberQ[{"\n", "\[IndentingNewLine]"}, $CellContext`c1]]] :> 
                 BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[
                    Apply[Sequence, {
                    "\n", #}]& , {$CellContext`b1}]], $CellContext`c1, \
$CellContext`d1}]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[Apply[Sequence, {"\n", #}]& , {$CellContext`b1}]]}]}],
                  BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]}] :> BoxData[{
                    RowBox[$CellContext`a1]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1}]}]}]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, 
                    " ", $CellContext`b1, $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], ButtonBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]] :> Button[$CellContext`a1], FrameBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Blank[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}], "Text"]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]]] :> 
                    TextData[{$CellContext`a1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplacePart[$CellContext`x, 
                    ReplaceAll[
                    Extract[$CellContext`x, 
                    Position[$CellContext`x, 
                    Blank[String]]], {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin[
                    FromCharacterCode[34], 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}], 
                    Position[$CellContext`x, 
                    Blank[String]], 
                    Transpose[{
                    Range[
                    Length[
                    Position[$CellContext`x, 
                    Blank[String]]]]}]]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   GraphicsData["PostScript", 
                    Pattern[$CellContext`psstring, 
                    Blank[String]]], "Graphics", 
                   Pattern[$CellContext`opts, 
                    BlankNullSequence[]]] :> 
                 Module[{$CellContext`cpynb, $CellContext`scale, \
$CellContext`aspectratio, $CellContext`graph, $CellContext`xmin, \
$CellContext`xmax, $CellContext`ymin, $CellContext`ymax}, 
                   If[
                   StringCount[$CellContext`psstring, "sampledsound"] >= 
                    1, $CellContext`cpynb = 
                    CreateWindow[
                    Visible -> False, WindowTitle -> "Palette Scrap"]; 
                    NotebookWrite[$CellContext`cpynb, 
                    Cell[
                    GraphicsData["PostScript", $CellContext`psstring], 
                    "Graphics", $CellContext`opts]]; 
                    SelectionMove[$CellContext`cpynb, All, Notebook]; 
                    FrontEndExecute[
                    
                    FrontEndToken[$CellContext`cpynb, "SelectionConvert", 
                    "InputForm"]]; 
                    SelectionMove[$CellContext`cpynb, All, 
                    Notebook]; $CellContext`graph = 
                    NotebookRead[$CellContext`cpynb]; 
                    NotebookClose[$CellContext`cpynb]; Cell[
                    Part[$CellContext`graph, 1], "Input"], $CellContext`scale = 
                    Flatten[
                    
                    StringCases[$CellContext`psstring, 
                    StringExpression["% Scaling calculations\n", 
                    Pattern[$CellContext`s1, 
                    Repeated[
                    Characters["1234567890+-e. "]]]] :> 
                    ImportString[$CellContext`s1, "List"]]]; 
                    If[Length[$CellContext`scale] != 
                    4, $CellContext`scale = {0, 1, 0, 
                    1}]; $CellContext`aspectratio = 
                    StringCases[$CellContext`psstring, 
                    StringExpression["%%AspectRatio: ", 
                    Pattern[$CellContext`s1, NumberString]] :> 
                    ToExpression[$CellContext`s1]]; $CellContext`aspectratio = 
                    If[
                    MatchQ[$CellContext`aspectratio, {
                    Alternatives[
                    Blank[Integer], 
                    Blank[Real]]}], 
                    Part[$CellContext`aspectratio, 1], 1/GoldenRatio, 1/
                    GoldenRatio]; $CellContext`xmin = -(
                    Part[$CellContext`scale, 1]/
                    Part[$CellContext`scale, 2]); $CellContext`xmax = (1 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2]; $CellContext`ymin = -(
                    Part[$CellContext`scale, 3]/
                    Part[$CellContext`scale, 
                    4]); $CellContext`ymax = ($CellContext`aspectratio - 
                    Part[$CellContext`scale, 3])/
                    Part[$CellContext`scale, 4]; $CellContext`graph = 
                    ReplaceAll[
                    ImportString[$CellContext`psstring, "APS"], {Point[
                    Pattern[$CellContext`a, 
                    Blank[]]] :> Point[
                    ReplaceAll[$CellContext`a, {{
                    PatternTest[
                    Pattern[$CellContext`a1, 
                    Blank[]], NumberQ], 
                    PatternTest[
                    Pattern[$CellContext`b1, 
                    Blank[]], NumberQ]} :> {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}}]], Line[
                    Pattern[$CellContext`a, 
                    Blank[]]] :> Line[
                    ReplaceAll[$CellContext`a, {{
                    PatternTest[
                    Pattern[$CellContext`a1, 
                    Blank[]], NumberQ], 
                    PatternTest[
                    Pattern[$CellContext`b1, 
                    Blank[]], NumberQ]} :> {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}}]], Polygon[
                    Pattern[$CellContext`a, 
                    Blank[]]] :> Polygon[
                    ReplaceAll[$CellContext`a, {{
                    PatternTest[
                    Pattern[$CellContext`a1, 
                    Blank[]], NumberQ], 
                    PatternTest[
                    Pattern[$CellContext`b1, 
                    Blank[]], NumberQ]} :> {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}}]], Text[
                    Pattern[$CellContext`a, 
                    Blank[]], {
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]}, 
                    Pattern[$CellContext`c, 
                    BlankNullSequence[]]] :> Part[
                    Join[
                    Cases[
                    ImportString[
                    ExportString[
                    Graphics[{
                    Line[{{0, 0}, {1, 1}}], 
                    Text[$CellContext`a, {0., 0.}, $CellContext`c]}], "EPS"], 
                    "APS"], {
                    BlankNullSequence[], 
                    Line[{{
                    Pattern[$CellContext`a2, 
                    Blank[]], 
                    Pattern[$CellContext`b2, 
                    Blank[]]}, 
                    Blank[]}], 
                    Text[
                    Blank[], {
                    Pattern[$CellContext`e2, 
                    Blank[]], 
                    Pattern[$CellContext`f2, 
                    Blank[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]} :> 
                    Text[$CellContext`a, {((1/
                    288) ($CellContext`a1 - $CellContext`e2 + \
$CellContext`a2) - Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], (1/
                    Part[$CellContext`scale, 
                    4]) ((1/
                    288) ($CellContext`b1 - $CellContext`f2 + \
$CellContext`b2) - Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)}, $CellContext`c], 
                    Infinity], {
                    
                    Text[$CellContext`a, {($CellContext`a1/288 - 
                    Part[$CellContext`scale, 1])/
                    Part[$CellContext`scale, 2], ($CellContext`b1/288 - 
                    Part[$CellContext`scale, 3] - (
                    1 - $CellContext`aspectratio)/2)/
                    Part[$CellContext`scale, 4]}, $CellContext`c]}], 
                    1]}]; $CellContext`graph = Join[$CellContext`graph, 
                    Graphics[
                    AspectRatio -> $CellContext`aspectratio, 
                    PlotRange -> {{$CellContext`xmin, $CellContext`xmax}, \
{$CellContext`ymin, $CellContext`ymax}}]]; (Cell[
                    TextData[{#}], "Input"]& )[
                    StringJoin["Show[", 
                    ToString[$CellContext`graph], "]"]]]]}]; If[
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Input", ShowSpecialCharacters -> 
                 False]]; If[
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Input", 
                 ShowSpecialCharacters -> False]]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Input", ShowSpecialCharacters -> 
                    False], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`d1], \
$CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {Pattern[$CellContext`a, 
                   Blank[String]] :> Block[{$Messages = {}}, 
                   StringReplace[$CellContext`a, StringExpression[
                    Pattern[$CellContext`b1, 
                    Condition[
                    Alternatives[StartOfString, 
                    StringExpression[StartOfString, 
                    Blank[]], 
                    StringExpression[
                    Pattern[$CellContext`x, 
                    Blank[]], 
                    Pattern[$CellContext`y, 
                    Blank[]]]], StringJoin[$CellContext`x, $CellContext`y] != 
                    "\\!"]], 
                    Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[\!", 
                    
                    StringReplace[$CellContext`b, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> "\\"}], "]"]]]; 
                    True, False]]]] :> StringJoin[$CellContext`b1, "\\\"", 
                    StringReplace[
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\\\""]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {Pattern[$CellContext`a, 
                   Blank[String]] :> Block[{$Messages = {}}, 
                   StringReplace[$CellContext`a, {Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\!\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[", 
                    
                    StringReplace[$CellContext`b, {
                    "\\*" -> "", "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}], "]"]]]; True, False]]] :> StringReplace[
                    StringJoin["(", 
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], ")"], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> 
                    "\\\\"}]}]]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`a, 
                    Blank[String]] :> 
                  StringReplace[$CellContext`a, {
                    "\[LeftDoubleBracket]" -> "[[", "\[RightDoubleBracket]" -> 
                    "]]", "\[Equal]" -> "==", "\[LessEqual]" -> "<=", 
                    "\[GreaterEqual]" -> ">=", "\[NotEqual]" -> "!=", 
                    "\[Rule]" -> "->", "\[RuleDelayed]" -> ":>", 
                    "\[Continuation]" -> " ", FromCharacterCode[1] -> " ", 
                    "\t" -> " ", "\[InvisibleSpace]" -> " "}]}], {
                Pattern[$CellContext`a, 
                   Blank[String]] :> 
                 StringReplace[$CellContext`a, {
                   "  " -> " ", "[ " -> "[", "{ " -> "{", "( " -> 
                    "("}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   Pattern[$CellContext`a, 
                    Blank[]], 
                   Pattern[$CellContext`b, 
                    BlankSequence[]]] :> 
                 Cell[$CellContext`a, "Input", ShowSpecialCharacters -> 
                   False]}]; FrontEndExecute[
               FrontEndToken["Copy"]]; SelectionMove[
               ClipboardNotebook[], All, Notebook]; NotebookWrite[
               ClipboardNotebook[], $CellContext`readitem, All]; SelectionMove[
               ClipboardNotebook[], All, Notebook]; FrontEndExecute[{
                FrontEndToken[
                 ClipboardNotebook[], "CopySpecial", "PlainText"]}]; Null]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox[
          RowBox[{"*", 
           RowBox[{"\[Rule]", "\[SpaceIndicator]"}]}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], If[ReplaceAll["CursorPosition", 
                   Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                 Part[$CellContext`readitem, 1]]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                 Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = Cell[
                  TextData[{$CellContext`readitem}], "Text"]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 BoxData[{$CellContext`readitem}], "Text"]]; NotebookWrite[
               InputNotebook[], 
               ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`a1, 
                   Blank[GraphicsData]] :> $CellContext`a1, 
                 Pattern[$CellContext`a1, 
                   Blank[String]] :> 
                 StringReplace[$CellContext`a1, {
                   "(*" -> "(*", "*)" -> "*)", "*^" -> "*^", "**" -> "**", 
                    "*=" -> "*=", "*" -> " "}]}], All]]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`cpynb}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; 
           Catch[Which[$CellContext`readitem === {}, NotebookWrite[
                 InputNotebook[], 
                 
                 RowBox[{
                  "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
                  All]; Throw[Null], 
               ListQ[$CellContext`readitem], 
               If[ReplaceAll["CursorPosition", 
                  Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                "CellBracket", $CellContext`readitem = 
                TextData[$CellContext`readitem]]]; If[
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                MemberQ[{{"Graphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) :> $CellContext`x, 2]], $CellContext`readitem = 
                Cell[$CellContext`readitem, "Input"], $CellContext`readitem = 
                TextData[{$CellContext`readitem}]]]; If[
               MatchQ[$CellContext`readitem, 
                TextData[
                 Pattern[$CellContext`a1, 
                  Blank[String]]]], $CellContext`readitem = TextData[{
                  Part[$CellContext`readitem, 1]}]]; Which[
               Or[
                MatchQ[$CellContext`readitem, 
                 Pattern[$CellContext`a1, 
                  Blank[Cell]]], 
                MatchQ[$CellContext`readitem, {
                  Pattern[$CellContext`a1, 
                   Blank[Cell]], 
                  Pattern[$CellContext`b1, 
                   BlankNullSequence[]]}]], SelectionMove[
                 InputNotebook[], After, Cell]; NotebookWrite[
                 InputNotebook[], $CellContext`readitem, All], 
               MatchQ[$CellContext`readitem, 
                TextData[
                 Pattern[$CellContext`a1, 
                  Blank[List]]]], 
               NotebookWrite[
                InputNotebook[], 
                TextData[
                 Join[
                  Part[$CellContext`readitem, 1], {","}, 
                  Part[$CellContext`readitem, 1]]], All], 
               True, $CellContext`cpynb = 
                CreateWindow[
                 Visible -> False, WindowTitle -> "Palette Scrap"]; 
               NotebookWrite[$CellContext`cpynb, $CellContext`readitem]; 
               NotebookWrite[$CellContext`cpynb, ","]; 
               NotebookWrite[$CellContext`cpynb, $CellContext`readitem]; 
               SelectionMove[$CellContext`cpynb, All, Notebook]; NotebookWrite[
                 InputNotebook[], 
                 NotebookRead[$CellContext`cpynb], All]; 
               NotebookClose[$CellContext`cpynb]]]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox[
          RowBox[{"\"\<\>", "\[SelectionPlaceholder]", "\"\<\>"}],
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`success}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; $CellContext`success = False; 
           Catch[Which[$CellContext`readitem === {}, NotebookWrite[
                 InputNotebook[], 
                 Cell[
                  TextData[{"\"\[Placeholder]\""}], "Input"], All]; 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], If[ReplaceAll["CursorPosition", 
                   Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                 Part[$CellContext`readitem, 1]]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                 Throw[Null]]]; Which[
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = 
                TextData[{$CellContext`readitem}]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 BoxData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Blank[GraphicsData], 
                 BoxData[
                  Alternatives[
                   Blank[Graphics3D], 
                   Blank[SurfaceGraphics]]]]], 
               Throw[Null]]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   Pattern[$CellContext`a1, 
                    Blank[String]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]] :> Cell[
                   TextData[{$CellContext`a1}], $CellContext`b1]}]; If[
               Not[
                MatchQ[$CellContext`readitem, 
                 Blank[Cell]]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                   And[
                   Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                 BoxData[{$CellContext`x}]}]; If[
               MatchQ[$CellContext`readitem, 
                Cell[
                 BoxData[{
                   BlankNullSequence[]}], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], 
                 Apply[Sequence, 
                  Drop[$CellContext`readitem, 1]]]]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                   Blank[GraphicsData]] :> $CellContext`x, 
                 Pattern[$CellContext`x, 
                   Blank[String]] :> 
                 StringReplace[$CellContext`x, {
                   "\"" -> "\\\"", "\\" -> "\\\\"}]}]; Which[Head[
                 Part[$CellContext`readitem, 1]] =!= TextData, Null, Head[
                 Part[$CellContext`readitem, 1, 1]] =!= List, Null, True, 
               Part[$CellContext`readitem, 1, 1] = Join[{"\""}, 
                  Part[$CellContext`readitem, 1, 1], {
                  "\""}]; $CellContext`success = True]; 
             If[$CellContext`success, 
               NotebookWrite[
                InputNotebook[], $CellContext`readitem, All]]]],
         Evaluator->Automatic], " ", 
        StyleBox[
         ButtonBox[
          StyleBox["?",
           FontFamily->"Verdana",
           FontWeight->"Bold",
           FontSlant->"Plain",
           FontColor->GrayLevel[0]],
          Appearance->{Automatic, "DialogBox"},
          BaseStyle->"AddOnsLink",
          ButtonData:>{"SetFaceAndFont2"},
          FrameMargins->4],
         FontColor->GrayLevel[0],
         Background->GrayLevel[0.900008]]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        StyleBox[
         ButtonBox["Plain",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Plain", FontWeight -> "Plain", 
            FontVariations -> {"Underline" -> False}],
          Evaluator->None],
         FontFamily->"Courier",
         FontSlant->"Plain"], 
        StyleBox[
         ButtonBox["B",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontWeight -> "Bold"],
          Evaluator->None],
         FontWeight->"Bold"], 
        StyleBox[
         ButtonBox["I",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Italic"],
          Evaluator->None],
         FontFamily->"Courier",
         FontSlant->"Italic"], 
        StyleBox[
         ButtonBox["U",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontVariations -> {"Underline" -> True}],
          Evaluator->None],
         FontFamily->"Courier",
         FontVariations->{"Underline"->True}], " ", 
        ButtonBox[
         StyleBox[
          RowBox[{"(", "\[SelectionPlaceholder]", ")"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"(\[SelectionPlaceholder])",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"(", "\[SelectionPlaceholder]", ")"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{"{", "\[SelectionPlaceholder]", "}"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"{\[SelectionPlaceholder]}",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"{", "\[SelectionPlaceholder]", "}"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{"[", "\[SelectionPlaceholder]", "]"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"[\[SelectionPlaceholder]]",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"[", "\[SelectionPlaceholder]", "]"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{
          "\[LeftDoubleBracket]", "\[SelectionPlaceholder]", 
           "\[RightDoubleBracket]"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>
          "\[LeftDoubleBracket]\[SelectionPlaceholder]\[RightDoubleBracket]",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           
           RowBox[{"\[LeftDoubleBracket]", "\[SelectionPlaceholder]", 
             "\[RightDoubleBracket]"}], All]], 
        ButtonBox[
         StyleBox[
          RowBox[{"(", 
           RowBox[{"*", " "}], "\[SelectionPlaceholder]", 
           RowBox[{" ", "*"}], ")"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"(* \[SelectionPlaceholder] *)",
         ButtonFunction:>NotebookApply[
           InputNotebook[], 
           RowBox[{"(", "*", " ", "\[SelectionPlaceholder]", " ", "*", ")"}], 
           All]]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "9"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 9],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "10", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 10],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "11", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 11],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "12", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 12],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "14", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 14],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "16", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 16],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "18", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 18],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "24", "\[ThinSpace]"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 24],
         Evaluator->None], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[ThinSpace]", "36"}],
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 36],
         Evaluator->None], 
        ButtonBox[
         StyleBox["72",
          FontFamily->"Verdana",
          FontSize->10,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSize -> 72],
         Evaluator->None]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox["Courier12",
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Courier", 
           FontWeight -> "Plain", FontSize -> 12],
         Evaluator->None], 
        ButtonBox[
         StyleBox["CourierB12",
          FontFamily->"Courier",
          FontWeight->"Bold"],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Courier", 
           FontWeight -> "Bold", FontSize -> 12],
         Evaluator->None], 
        StyleBox[
         ButtonBox["Verdana11",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Verdana", 
            FontWeight -> "Plain", FontSize -> 11],
          Evaluator->None],
         FontFamily->"Verdana"], " ", 
        ButtonBox[
         StyleBox["Peel",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`success, \
$CellContext`tws, $CellContext`onecell}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; $CellContext`success = 
            False; $CellContext`onecell = 
            Head[$CellContext`readitem] === Cell; 
           Catch[$CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   Pattern[$CellContext`a1, 
                    Blank[String]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]] :> Cell[
                   TextData[{$CellContext`a1}], "Text"]}]; 
             Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], If[ReplaceAll["CursorPosition", 
                   Flatten[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; LinkRead[$ParentLink]]] =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                  Part[$CellContext`readitem, 1]; $CellContext`onecell = 
                  True]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], $CellContext`readitem = 
                  ReplaceRepeated[
                    Cell[
                    TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> 
                    Sequence[$CellContext`a1]}]; $CellContext`success = True], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = Cell[
                  TextData[{$CellContext`readitem}], "Text"]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                BoxData[
                 Alternatives[
                  Blank[Graphics3D], 
                  Blank[SurfaceGraphics]]]], SelectionMove[
                 InputNotebook[], All, Cell]; $CellContext`readitem = 
                NotebookRead[
                  InputNotebook[]], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[GraphicsData]], SelectionMove[
                 InputNotebook[], All, Cell]; $CellContext`readitem = 
                NotebookRead[
                  InputNotebook[]]]; Which[
               MatchQ[$CellContext`readitem, 
                Cell[
                 BoxData[
                  Alternatives[
                   Blank[Graphics3D], 
                   Blank[SurfaceGraphics]]], 
                 BlankNullSequence[]]], SelectionMove[
                 InputNotebook[], All, Cell]; 
               If[$CellContext`readitem === NotebookRead[
                   InputNotebook[]], $CellContext`readitem = Cell[
                    BoxData[
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    ToBoxes[$CellContext`readitem]}], "]"}]], 
                    "Input"]; $CellContext`success = True, 
                 Throw[Null], 
                 Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[GraphicsData], 
                 BlankNullSequence[]]], SelectionMove[
                 InputNotebook[], All, Cell]; 
               If[$CellContext`readitem === NotebookRead[
                   InputNotebook[]], $CellContext`readitem = Cell[
                    BoxData[
                    RowBox[{"NotebookWrite", "[", 
                    RowBox[{
                    RowBox[{"InputNotebook", "[", "]"}], ",", 
                    ToBoxes[$CellContext`readitem]}], "]"}]], 
                    "Input"]; $CellContext`success = True, 
                 Throw[Null], 
                 Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                  TextData[
                   Part[$CellContext`readitem, 1, 1]], 
                  "Text"]; $CellContext`onecell = False; $CellContext`success = 
                True]; If[$CellContext`success, $CellContext`readitem = 
               ReplaceRepeated[$CellContext`readitem, {{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]], 
                    Cell[
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                    Cell[$CellContext`b1], "\n", 
                    Cell[$CellContext`c1], $CellContext`d1}}]]; If[
               Not[$CellContext`success], $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "\[IndentingNewLine]", 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}] :> ReplaceAll[
                    BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\[IndentingNewLine]", $CellContext`b1}]}], {
                    "\[IndentingNewLine]" -> "\n"}]}]; $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {Condition[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    Blank[]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}], 
                    And[
                    Not[
                    MemberQ[{$CellContext`b1}, "\n"]], 
                    Not[
                    MemberQ[{$CellContext`b1}, "\[IndentingNewLine]"]], 
                    MemberQ[{"\n", "\[IndentingNewLine]"}, $CellContext`c1]]] :> 
                   BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[
                    Apply[Sequence, {
                    "\n", #}]& , {$CellContext`b1}]], $CellContext`c1, \
$CellContext`d1}]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[Apply[Sequence, {"\n", #}]& , {$CellContext`b1}]]}]}],
                    BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]}] :> BoxData[{
                    RowBox[$CellContext`a1]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1}]}]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) -> Sequence[], 
                   StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                   RowBox[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]] :> BoxData[{
                    RowBox[$CellContext`a1]}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                   GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1], TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                   TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                    Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> 
                   TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {Cell[
                    BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}], 
                    BlankNullSequence[]] :> Apply[Sequence, 
                    Map[Cell[
                    BoxData[{#}], 
                    "Text"]& , $CellContext`a1]]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                   TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[
                    Cell[
                    BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]], 
                    BlankNullSequence[]]] :> 
                   TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`d1], \
$CellContext`c1}]}]; If[
                 Not[
                  MatchQ[$CellContext`readitem, 
                   Blank[Cell]]], $CellContext`readitem = 
                 Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {Cell[
                    TextData[{
                    Cell[
                    BoxData[
                    Pattern[$CellContext`al, 
                    BlankSequence[]]], 
                    BlankNullSequence[]]}], 
                    BlankNullSequence[]] :> Cell[
                    BoxData[$CellContext`al], 
                    "Text"]}]; $CellContext`readitem = 
                ReplaceAll[$CellContext`readitem, {Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                    And[
                    Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                   BoxData[{$CellContext`x}]}]]; 
             Which[$CellContext`success, 
               Null, $CellContext`onecell, $CellContext`success = True, 
               Or[
                And[Head[
                   Part[$CellContext`readitem, 1, 1, -1]] === String, 
                 StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                 StringMatchQ[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -1], Whitespace]], 
                And[Head[
                   Part[$CellContext`readitem, 1, 1, 1]] === String, 
                 StringLength[
                   Part[$CellContext`readitem, 1, 1, 1]] >= 1, 
                 StringMatchQ[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 1], Whitespace]]], 
               If[Head[
                   Part[$CellContext`readitem, 1, 1, -1]] === String, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringReplace[
                   Part[$CellContext`readitem, 1, 1, -1], {
                   StringExpression[StartOfString, 
                    StringExpression[
                    Shortest[
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]]], 
                    StringExpression[
                    Whitespace, EndOfString]]] :> $CellContext`a1}]]; If[Head[
                   Part[$CellContext`readitem, 1, 1, 1]] === String, 
                 Part[$CellContext`readitem, 1, 1, 1] = StringReplace[
                   Part[$CellContext`readitem, 1, 1, 1], {
                   StringExpression[StartOfString, 
                    StringExpression[Whitespace, 
                    StringExpression[
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    EndOfString]]] :> $CellContext`a1}]]; \
$CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 3, 
                MemberQ[{"@@@", "//@", "//.", ";", "&", "\n"}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -3]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -3]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -3]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  3, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 3]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   3]]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"/.", "/;", "//", "@@", "/@" "&&", "**", "~~", 
                  Or["\!\(\*\nStyleBox[", ", " $CellContext`MR "]\)"], "<>"}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -2]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -2]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -2]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  2, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 2]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   2]]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"->", ":>", ":=", "/=", "!="}, 
                 StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -2]]], 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -2]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                
                MemberQ[{
                 ".", ",", ":", ";", "+", "-", "*", "^", "/", "\n", "@", "~", 
                  FromCharacterCode[96], 
                  Alternatives[
                  "\!\(\*\nStyleBox[", ", " $CellContext`MR "]\)"], "\\", "<", 
                  FromCharacterCode[8804], 
                  FromCharacterCode[8805], "_", 
                  FromCharacterCode[63336]}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -1]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  1, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 1]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   1]]; $CellContext`success = True, 
               And[Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                MemberQ[{"?", "!", "&", "=", "\[NotEqual]", ":", 
                  FromCharacterCode[39], 
                  FromCharacterCode[62754], 
                  FromCharacterCode[62751]}, 
                 StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -1]]], 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -1]; $CellContext`success = True, 
               And[Length[
                  Part[$CellContext`readitem, 1, 1]] > 1, 
                Or[
                 Not[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String], 
                 Not[Head[
                    Part[$CellContext`readitem, 1, 1, -1]] === String]]], 
               Null, 
               And[Head[
                  Part[$CellContext`readitem, 1]] === BoxData, Head[
                  Part[$CellContext`readitem, 1, 1, 1]] === FrameBox], 
               Part[$CellContext`readitem, 1, 1, 1] = 
                Part[$CellContext`readitem, 1, 1, 1, 1]; $CellContext`success = 
                True, 
               And[Head[
                  Part[$CellContext`readitem, 1]] === BoxData, Head[
                  Part[$CellContext`readitem, 1, 1]] =!= Graphics3D, Head[
                  Part[$CellContext`readitem, 1, 1]] =!= 
                SurfaceGraphics], $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                    BlankNullSequence[]] :> Block[{$Messages = {}}, 
                    Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceAll[
                    BoxData[{$CellContext`x}], {ButtonBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]] :> 
                    Button[$CellContext`a1]}]]]}]; $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                    BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplacePart[$CellContext`x, 
                    ReplaceAll[
                    Extract[$CellContext`x, 
                    Position[$CellContext`x, 
                    Blank[String]]], {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[10] -> "\\n>", FromCharacterCode[34] -> 
                    "\\\"", "\\" -> "\\\\"}], "\""]}], 
                    Position[$CellContext`x, 
                    Blank[String]], 
                    Transpose[{
                    Range[
                    Length[
                    Position[$CellContext`x, 
                    Blank[String]]]]}]]]}]}]; $CellContext`success = True, 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 2, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, "\\(\\)" === 
                StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 2], 
                  StringTake[
                   
                   Part[$CellContext`readitem, 1, 
                    1, -1], -2]]], $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {
                  Pattern[$CellContext`a, 
                    Blank[String]] :> Block[{$Messages = {}}, 
                    StringReplace[$CellContext`a, StringExpression[
                    Pattern[$CellContext`b1, 
                    Condition[
                    Alternatives[StartOfString, 
                    StringExpression[StartOfString, 
                    Blank[]], 
                    StringExpression[
                    Pattern[$CellContext`x, 
                    Blank[]], 
                    Pattern[$CellContext`y, 
                    Blank[]]]], StringJoin[$CellContext`x, $CellContext`y] != 
                    "\\!"]], 
                    Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[\!", 
                    
                    StringReplace[$CellContext`b, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> "\\"}], "]"]]]; 
                    True, False]]]] :> StringJoin[$CellContext`b1, "\"", 
                    StringReplace[
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]]]}]; $CellContext`success = True, 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 4, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, "\\!\\(\\)" === 
                StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 4], 
                  StringTake[
                   
                   Part[$CellContext`readitem, 1, 
                    1, -1], -2]]], $CellContext`readitem = 
                ReplaceRepeated[$CellContext`readitem, {
                  Pattern[$CellContext`a, 
                    Blank[String]] :> Block[{$Messages = {}}, 
                    StringReplace[$CellContext`a, {Shortest[
                    Condition[
                    Pattern[$CellContext`b, 
                    StringExpression["\\!\\(", 
                    StringExpression[
                    BlankSequence[], "\\)"]]], 
                    Check[$CellContext`tws = ToString[
                    ToExpression[
                    StringJoin["HoldComplete", "[", 
                    
                    StringReplace[$CellContext`b, {
                    "\\*" -> "", "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}], "]"]]]; True, False]]] :> StringReplace[
                    StringJoin["(", 
                    StringDrop[
                    StringDrop[$CellContext`tws, 13], -1], ")"], {
                    FromCharacterCode[34] -> "\\\"", "\\" -> 
                    "\\\\"}]}]]}]; $CellContext`success = True, Head[
                 Part[$CellContext`readitem, 1]] =!= TextData, Null, Head[
                 Part[$CellContext`readitem, 1, 1]] =!= List, Null, 
               Or[Head[
                  Part[$CellContext`readitem, 1, 1, 1]] =!= String, Head[
                  Part[$CellContext`readitem, 1, 1, -1]] =!= String], Null, 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 5, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 5, 
                MemberQ[{"\\\"\\\\<\\\\>\\\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 5], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -5]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 5]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 5, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -5]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 4, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 4, 
                MemberQ[{"\\\\\\\"\\\\\\\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 4], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -4]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 4]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 4, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -4]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 3, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 3, 
                MemberQ[{"\"\\<\\>\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 3], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -3]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 3]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 3, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -3]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 2, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"\\\"\\\""}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 2], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -2]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 2]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    Part[$CellContext`readitem, 1, 1, -1], -2]; {
                  Pattern[$CellContext`x, 
                    Blank[String]] :> 
                   StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 2, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                MemberQ[{"(**)", "[[]]", "\\(\\)", "<<>>"}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 2], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -2]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 2]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 2, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -2]; $CellContext`success = True, 
                 If[
                 Part[$CellContext`readitem, 1, 1, -1] === ")", 
                  Part[$CellContext`readitem, 1, 1, -1] = 
                   "*"; $CellContext`success = True]], StringTake[
                 Part[$CellContext`readitem, 1, 1, -1], -1] === "]", 
               If[Length[
                  StringPosition[
                   Part[$CellContext`readitem, 1, 1, 1], "[", 1]] > 0, 
                Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   Part[
                    StringPosition[
                    Part[$CellContext`readitem, 1, 1, 1], "[", 1], 1, 1]]; 
                Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                   
                   Part[$CellContext`readitem, 1, 
                    1, -1], -1]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 1, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                MemberQ[{
                  FromCharacterCode[{34, 34}]}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 1], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -1]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 1]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -1]; $CellContext`readitem = 
                  ReplaceAll[$CellContext`readitem, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    "\\\"" -> FromCharacterCode[34], "\\\\" -> 
                    "\\"}]}]; $CellContext`success = True], 
               And[StringLength[
                  Part[$CellContext`readitem, 1, 1, 1]] >= 1, StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                
                MemberQ[{
                 "()", "{}", "\[LeftAngleBracket]\[RightAngleBracket]", 
                  "\[LeftFloor]\[RightFloor]", 
                  "\[LeftCeiling]\[RightCeiling]", "<>", 
                  "\[LeftDoubleBracket]\[RightDoubleBracket]", 
                  "\[LeftBracketingBar]\[RightBracketingBar]", 
                  "\[LeftDoubleBracketingBar]\[RightDoubleBracketingBar]", 
                  "~~", "''", 
                  "\[CloseCurlyDoubleQuote]\[CloseCurlyDoubleQuote]", 
                  "\:201a\[CloseCurlyQuote]", "\:201e\[OpenCurlyDoubleQuote]",
                   "\[LeftSkeleton]\[RightSkeleton]", 
                  "\[LeftGuillemet]\[RightGuillemet]", "\[DownQuestion]?", 
                  "\[DownExclamation]!"}, 
                 StringJoin[
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, 1], 1], 
                  StringTake[
                   Part[$CellContext`readitem, 1, 1, -1], -1]]]], 
               Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, 1], 1]; If[StringLength[
                   Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                 Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                    
                    Part[$CellContext`readitem, 1, 
                    1, -1], -1]; $CellContext`success = True]]; If[
               And[
                Not[$CellContext`success], Head[
                  Part[$CellContext`readitem, 1, 1, -1]] === String, 
                StringLength[
                  Part[$CellContext`readitem, 1, 1, -1]] >= 1, 
                MemberQ[{">"}, 
                 StringTake[
                  
                  Part[$CellContext`readitem, 1, 
                   1, -1], -1]]], $CellContext`tws = StringTake[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; 
               Part[$CellContext`readitem, 1, 1, -1] = StringDrop[
                  Part[$CellContext`readitem, 1, 1, -1], -1]; If[
                 And[Head[
                    Part[$CellContext`readitem, 1, 1, 1]] === String, 
                  StringLength[
                    Part[$CellContext`readitem, 1, 1, 1]] >= 
                  1, $CellContext`tws === StringTake[
                    Part[$CellContext`readitem, 1, 1, 1], 1]], 
                 Part[$CellContext`readitem, 1, 1, 1] = StringDrop[
                   Part[$CellContext`readitem, 1, 1, 1], 
                   1]]; $CellContext`success = True]; If[$CellContext`success, 
               NotebookWrite[
                InputNotebook[], $CellContext`readitem, All]]]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {"  ", 
        StyleBox[
         ButtonBox["Times12",
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Plain", FontFamily -> "Times", 
            FontWeight -> "Plain", FontSize -> 12],
          Evaluator->None],
         FontFamily->"Times"], 
        StyleBox[
         ButtonBox[
          RowBox[{"Times", " ", "Italic12"}],
          Active->True,
          Appearance->{Automatic, "DialogBox"},
          Background->GrayLevel[0.900008],
          ButtonFunction:>SetOptions[
            NotebookSelection[
             InputNotebook[]], FontSlant -> "Italic", FontFamily -> "Times", 
            FontWeight -> "Plain", FontSize -> 12],
          Evaluator->None],
         FontFamily->"Times",
         FontSlant->"Italic"], "    ", 
        ButtonBox[
         StyleBox["StyleRemove",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.95, 0.95, 1],
         ButtonFunction:>
          Module[{$CellContext`readitem, $CellContext`cellinfo}, \
$CellContext`readitem = NotebookRead[
              InputNotebook[]]; $CellContext`cellinfo = 
            ReplaceAll["CursorPosition", 
              Flatten[LinkWrite[$ParentLink, 
                 $CellContext`CellInformation[
                  InputNotebook[]]]; 
               LinkRead[$ParentLink]]]; $CellContext`readitem = 
            ReplaceAll[$CellContext`readitem, {Cell[
                 Pattern[$CellContext`a1, 
                  Blank[String]], 
                 Pattern[$CellContext`b1, 
                  BlankNullSequence[]]] :> Cell[
                 TextData[{$CellContext`a1}], $CellContext`b1]}]; 
           Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, FrontEndExecute[
                 FrontEndToken["ClearCellOptions"]]; Throw[Null], 
               Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], 
               If[$CellContext`cellinfo =!= 
                 "CellBracket", $CellContext`readitem = Cell[
                   TextData[$CellContext`readitem], "Text"]]; If[
                 MatchQ[$CellContext`readitem, {
                   Blank[Cell]}], $CellContext`readitem = 
                 Part[$CellContext`readitem, 1]]; If[
                 MatchQ[$CellContext`readitem, {
                   Pattern[$CellContext`a1, 
                    Blank[Cell]], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], FrontEndExecute[
                   FrontEndToken["ClearCellOptions"]]; Throw[Null]], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], FrontEndExecute[
                 FrontEndToken["ClearCellOptions"]]; Throw[Null], 
               Or[
                MatchQ[$CellContext`readitem, 
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]]], Head[$CellContext`readitem] === 
                GraphicsData], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], 
               If[
                
                MemberQ[{{"Graphics"}, "Graphics3D", {"SurfaceGraphics"}, {
                  "DensityGraphics"}, {"ContourGraphics"}}, 
                 Cases[LinkWrite[$ParentLink, 
                    $CellContext`CellInformation[
                    InputNotebook[]]]; 
                  LinkRead[$ParentLink], ("Style" -> Pattern[$CellContext`x, 
                    Blank[]]) -> $CellContext`x, 2]], 
                Throw[Null], $CellContext`readitem = Cell[
                  TextData[{$CellContext`readitem}], "Text"]], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                BoxData[
                 Alternatives[
                  Blank[Graphics3D], 
                  Blank[SurfaceGraphics]]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Blank[BoxData], 
                 Blank[GraphicsData]]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"]]; Which[
               MatchQ[$CellContext`readitem, 
                Cell[
                 BoxData[
                  Alternatives[
                   Blank[Graphics3D], 
                   Blank[SurfaceGraphics]]], 
                 BlankNullSequence[]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], 
                 Apply[Sequence, 
                  Drop[$CellContext`readitem, 1]]]]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) -> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> BoxData[{
                    RowBox[$CellContext`a1]}]; BoxData[
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]] :> BoxData[{
                    RowBox[$CellContext`a1]}], FormBox[
                   Pattern[$CellContext`a1, 
                    Blank[List]], 
                   Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                   Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                   Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], ErrorBox[
                   Pattern[$CellContext`a1, 
                    
                    BlankSequence[]]] :> $CellContext`a1}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "\[IndentingNewLine]", 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}] :> ReplaceAll[
                   BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\[IndentingNewLine]", $CellContext`b1}]}], {
                   "\[IndentingNewLine]" -> 
                    Sequence[
                    " ", "\[IndentingNewLine]"]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    Blank[]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}], 
                   And[
                    Not[
                    MemberQ[{$CellContext`b1}, "\n"]], 
                    Not[
                    MemberQ[{$CellContext`b1}, "\[IndentingNewLine]"]], 
                    MemberQ[{"\n", "\[IndentingNewLine]"}, $CellContext`c1]]] :> 
                 BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[
                    Apply[Sequence, {
                    "\n", #}]& , {$CellContext`b1}]], $CellContext`c1, \
$CellContext`d1}]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    Apply[Sequence, 
                    Map[Apply[Sequence, {"\n", #}]& , {$CellContext`b1}]]}]}],
                  BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]}] :> BoxData[{
                    RowBox[$CellContext`a1]}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1}]}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`b1], \
$CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`a1, $CellContext`b1, $CellContext`c1}], 
                 BoxData[
                   Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[
                   RowBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]]] :> BoxData[{
                    RowBox[$CellContext`a1]}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                   Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                 GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1], TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, $CellContext`b1, \
$CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {Cell[
                   BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}], 
                   BlankNullSequence[]] :> Apply[Sequence, 
                   Map[Cell[
                    BoxData[{#}], 
                    "Text"]& , $CellContext`a1]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`b1, $CellContext`a1, \
$CellContext`c1}], TextData[
                   Cell[
                    BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]], 
                    BlankNullSequence[]]] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, $CellContext`d1], \
$CellContext`c1}]}]; If[
               Not[
                MatchQ[$CellContext`readitem, 
                 Blank[Cell]]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Cell[
                    BoxData[
                    Pattern[$CellContext`al, 
                    BlankSequence[]]], 
                    BlankNullSequence[]]}], 
                   Pattern[$CellContext`b1, 
                    BlankNullSequence[]]] :> Cell[
                   
                   BoxData[$CellContext`al], $CellContext`b1]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Condition[
                   BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], 
                   And[
                   Head[$CellContext`x] =!= List, Head[$CellContext`x] =!= 
                    Graphics3D, Head[$CellContext`x] =!= SurfaceGraphics]] :> 
                 BoxData[{$CellContext`x}]}]; NotebookWrite[
               InputNotebook[], $CellContext`readitem, All]; 
             If[$CellContext`cellinfo === "CellBracket", SelectionMove[
                 InputNotebook[], All, CellContents]; NotebookWrite[
                 InputNotebook[], $CellContext`readitem, All]]]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox[
          RowBox[{"\[MediumSpace]", "Black", "\[MediumSpace]"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[0, 0, 0]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox[
          RowBox[{"\[MediumSpace]", "Red"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[1, 0, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[1, 0, 0]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox[
          RowBox[{" ", "Green", " "}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0.6, 0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[0, 0.6, 0]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox[
          RowBox[{"Blue", " "}],
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->RGBColor[0, 0, 1]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], FontColor -> RGBColor[0, 0, 1]],
         Evaluator->None,
         FrameMargins->5,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["Search",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin["http://www.google.com/search?hl=en&q=", 
                StringReplace[$CellContext`readitem, " " -> "+"], 
                "+site%3Awolfram.com&btnG=S%C3%B6k&meta="]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {{
           Offset[0.27999999999999997`]}}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox["B",
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Plain",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> GrayLevel[1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["A",
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Plain",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.9],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> GrayLevel[0.9]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["C",
          FontFamily->"Verdana",
          FontSize->11,
          FontWeight->"Plain",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> GrayLevel[0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["K",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[1, 0.8, 0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[1, 0.8, 0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["G",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 1, 0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 1, 0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["R",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 0.8, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 0.8, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["O",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 1, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 1, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["U",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[1, 0.8, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[1, 0.8, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["N",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[1, 1, 0.8],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[1, 1, 0.8]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], 
        ButtonBox[
         StyleBox["D",
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         Background->RGBColor[0.8, 1, 1],
         ButtonData:>"Text",
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], Background -> RGBColor[0.8, 1, 1]],
         Evaluator->None,
         FrameMargins->4,
         ImageSize->Full], " ", 
        ButtonBox[
         StyleBox["MG",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin["http://www.google.com/search?hl=en&q=", 
                StringReplace[$CellContext`readitem, " " -> "+"], 
                "+site:forums.wolfram.com+OR+site:www.mathematica-users.org/\
webMathematica/wiki/&hl=en&lr=&safe=off&start=0&sa=N"]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox["GC",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin[
               "http://www.google.com/codesearch?hl=en&lr=&q=lang%\
3AMathematica+", 
                StringReplace[$CellContext`readitem, " " -> "+"], 
                "&sbtn=Search"]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic]}
      },
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]},
    {GridBox[{
       {
        ButtonBox[
         StyleBox[
          RowBox[{"Get", " ", "Font", " ", "Options"}],
          FontFamily->"Verdana",
          FontSize->11,
          FontColor->GrayLevel[0]],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>($CellContext`$FontPaintOptions = AbsoluteOptions[
             NotebookSelection[
              InputNotebook[]], {
             FontColor, FontFamily, FontProperties, FontSize, FontSlant, 
              FontTracking, FontVariations, FontWeight, 
              Background}]; $CellContext`buttontext = StyleBox[
             RowBox[{"   Paint", " ", "Font", " ", "Options     "}], 
             Sequence[$CellContext`$FontPaintOptions], FontFamily -> 
             "Verdana", FontSize -> 11, FontColor -> GrayLevel[0]]),
         Evaluator->Automatic], 
        ButtonBox[
         DynamicBox[$CellContext`buttontext,
          ImageSizeCache->{115., {2., 9.}}],
         Active->True,
         Appearance->{Automatic, "DialogBox"},
         Background->GrayLevel[0.900008],
         ButtonFunction:>SetOptions[
           NotebookSelection[
            InputNotebook[]], 
           Apply[Sequence, $CellContext`$FontPaintOptions]],
         Evaluator->Automatic], 
        ButtonBox[
         StyleBox["Web",
          FontFamily->"Courier",
          FontSize->11,
          FontWeight->"Bold",
          FontColor->GrayLevel[0]],
         Appearance->{Automatic, "DialogBox"},
         BaseStyle->"Hyperlink",
         ButtonData:>
          Module[{$CellContext`readitem}, $CellContext`readitem = NotebookRead[
              InputNotebook[]]; Catch[Which[$CellContext`readitem === {}, 
               Throw[Null], Count[$CellContext`readitem, 
                 Blank[InterpretationBox], Infinity] > 0, 
               Throw[Null], Cases[$CellContext`readitem, 
                 FormBox[
                  BoxData[
                   BlankNullSequence[]], 
                  BlankNullSequence[]]] =!= {}, 
               Throw[Null], 
               ListQ[$CellContext`readitem], $CellContext`readitem = 
               ReplaceRepeated[
                 Cell[
                  TextData[$CellContext`readitem], "Text"], {Cell[
                    CellGroupData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}, 
                    BlankNullSequence[]], 
                    BlankNullSequence[]] :> Sequence[$CellContext`a1]}], 
               MatchQ[$CellContext`readitem, 
                Blank[String]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               StringMatchQ[
                ToString[
                 Head[$CellContext`readitem]], 
                StringExpression[
                 BlankSequence[], "Box"]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[
                    BoxData[{$CellContext`readitem}], "Text"]}], "Text"]]; 
             Which[
               MatchQ[$CellContext`readitem, 
                Alternatives[
                 Cell[
                  Blank[GraphicsData], 
                  BlankNullSequence[]], 
                 Blank[GraphicsData]]], 
               Throw[Null], 
               MatchQ[$CellContext`readitem, 
                Blank[BoxData]], $CellContext`readitem = Cell[
                 TextData[{
                   Cell[$CellContext`readitem]}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[BoxData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[{$CellContext`readitem}], "Text"], 
               MatchQ[$CellContext`readitem, 
                Cell[
                 Blank[CellGroupData], 
                 BlankNullSequence[]]], $CellContext`readitem = Cell[
                 TextData[
                  Part[$CellContext`readitem, 1, 1]], "Text"], 
               MatchQ[$CellContext`readitem, 
                Blank[TextData]], $CellContext`readitem = 
               Cell[$CellContext`readitem, "Text"]]; $CellContext`readitem = 
              ReplaceRepeated[
                ReplaceAll[$CellContext`readitem, {TextData[
                    Pattern[$CellContext`a, 
                    Blank[String]]] :> TextData[{$CellContext`a}], Cell[
                    Pattern[$CellContext`a, 
                    Blank[String]], 
                    BlankNullSequence[]] :> Cell[
                    TextData[{$CellContext`a}], "Text"], Condition[
                    BoxData[
                    Pattern[$CellContext`x, 
                    Blank[]]], Head[$CellContext`x] =!= List] :> 
                  BoxData[{$CellContext`x}]}], {TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[ButtonBox]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`a1, 
                    Cell[
                    BoxData[{$CellContext`b1}], 
                    "Input"], $CellContext`c1}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {RowBox[{"(*", 
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], "*)"}] :> RowBox[{
                    RowBox[{"(", 
                    FromCharacterCode[34], 
                    Apply[Sequence, 
                    ReplaceAll[{$CellContext`a1}, {Pattern[$CellContext`x, 
                    Blank[String]] :> 
                    StringReplace[$CellContext`x, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}]}]], 
                    FromCharacterCode[34], ")"}], 
                    ";"}]}]; $CellContext`readitem = ReplaceRepeated[
                ReplaceRepeated[
                 ReplaceRepeated[$CellContext`readitem, {Condition[
                    RowBox[{
                    Pattern[$CellContext`g1, 
                    Blank[]], 
                    Pattern[$CellContext`g2, 
                    BlankNullSequence[]]}], 
                    Not[
                    MemberQ[{String, List, RowBox, FormBox}, 
                    Head[$CellContext`g1]]]] :> Block[{$Messages = {}}, 
                    Check[
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", 
                    
                    RowBox[{NotebookCompatibility`Dump`Symbols`g1, 
                    NotebookCompatibility`Dump`Symbols`g2}], "]"}], 
                    InputForm]]]], 13], -1], 
                    RowBox[{$CellContext`g1, $CellContext`g2}]]]}], {StyleBox[
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`a1, FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}]}], {RowBox[{
                    Pattern[$CellContext`g1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`g2, 
                    Blank[]]}, 
                    Pattern[$CellContext`g3, 
                    BlankNullSequence[]]}] :> 
                 RowBox[{$CellContext`g1, $CellContext`g2, \
$CellContext`g3}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}] :> 
                 TextData[{$CellContext`a1}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> Block[{$Messages = {}}, 
                   Check[
                    TextData[{
                    StringDrop[
                    StringDrop[
                    ToString[
                    ToExpression[
                    StringJoin["\!", 
                    ToString[
                    RowBox[{"HoldComplete", "[", $CellContext`x, "]"}], 
                    InputForm]]]], 13], -1]}], 
                    ReplaceRepeated[
                    ReplaceRepeated[
                    ReplaceRepeated[
                    BoxData[{$CellContext`x}], {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                    StyleBox[
                    Pattern[$CellContext`l1, 
                    Blank[]], 
                    BlankNullSequence[]] :> $CellContext`l1, RowBox[{
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`b1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}] :> RowBox[{$CellContext`c1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`b1], $CellContext`d1}], RowBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    RowBox[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    RowBox[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], BoxData[
                    Pattern[$CellContext`a1, 
                    Blank[String]]] :> TextData[{$CellContext`a1}], BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> BoxData[{
                    
                    RowBox[{$CellContext`a1, 
                    "\n", $CellContext`b1}], $CellContext`c1}], FormBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[$CellContext`a1], FormBox[
                    Pattern[$CellContext`a1, 
                    BlankSequence[]], 
                    Pattern[$CellContext`b1, 
                    Blank[]]] :> RowBox[{$CellContext`a1}], GridBox[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]], {
                    Pattern[$CellContext`d1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`e1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]]}, 
                    Pattern[$CellContext`f1, 
                    BlankNullSequence[]]] :> 
                    GridBox[{$CellContext`a1, {$CellContext`c1, 
                    
                    RowBox[{$CellContext`d1}], $CellContext`e1}, \
$CellContext`b1}, $CellContext`f1]}], {BoxData[{
                    RowBox[
                    Pattern[$CellContext`a1, 
                    Blank[List]]]}] :> TextData[
                    Map[Cell[
                    BoxData[{#}]]& , $CellContext`a1]]}], {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Cell[
                    BoxData[{
                    Pattern[$CellContext`a1, 
                    Blank[String]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                    TextData[{$CellContext`b1, $CellContext`a1, 
                    " ", $CellContext`c1}]}]]]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {BoxData[{
                    Pattern[$CellContext`x, 
                    Blank[]]}, 
                   BlankNullSequence[]] :> TextData[{
                    ToString[
                    ReplaceAll[$CellContext`x, {Pattern[$CellContext`a1, 
                    Blank[String]] :> StringJoin["\"", 
                    
                    StringReplace[$CellContext`a1, {
                    FromCharacterCode[34] -> "\\\"", "\\" -> "\\\\"}], 
                    "\""]}]]}]}]; $CellContext`readitem = 
              ReplaceAll[$CellContext`readitem, {GraphicsData["PostScript", 
                   Pattern[$CellContext`graphics, 
                    Blank[String]]] :> 
                 TextData[{""}]}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {(Condition[
                    Pattern[$CellContext`x1, 
                    Blank[]], 
                    
                    MemberQ[{
                    FontColor, FontFamily, FontProperties, FontSize, 
                    FontSlant, FontTracking, FontVariations, FontWeight, 
                    Background}, $CellContext`x1]] -> Blank[]) :> Sequence[], 
                 StyleBox[
                   Pattern[$CellContext`l1, 
                    Blank[]], 
                   BlankNullSequence[]] :> $CellContext`l1, TextData[{
                    Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                    Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> 
                 TextData[{$CellContext`a1, " ", $CellContext`b1, 
                    " ", $CellContext`c1}], TextData[
                   Cell[
                    TextData[{
                    Pattern[$CellContext`a1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]]] :> TextData[{$CellContext`a1}], Cell[
                   CellGroupData[{
                    Cell[
                    Pattern[$CellContext`a, 
                    BlankSequence[]]]}, 
                    BlankNullSequence[]]] :> Cell[$CellContext`a], {
                   Pattern[$CellContext`a1, 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`b1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Cell[
                    TextData[{
                    Pattern[$CellContext`c1, 
                    BlankSequence[]]}], 
                    BlankNullSequence[]], 
                   Pattern[$CellContext`d1, 
                    BlankNullSequence[]]} :> {$CellContext`a1, 
                   Cell[
                    TextData[{$CellContext`b1, "\n", $CellContext`c1}], 
                    "Text"], $CellContext`d1}}]; $CellContext`readitem = 
              ReplaceRepeated[$CellContext`readitem, {TextData[{
                    Pattern[$CellContext`b1, 
                    BlankNullSequence[]], 
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    Pattern[$CellContext`d1, 
                    Blank[String]], 
                    Pattern[$CellContext`c1, 
                    BlankNullSequence[]]}] :> TextData[{$CellContext`b1, 
                    
                    StringJoin[$CellContext`a1, 
                    " ", $CellContext`d1], $CellContext`c1}]}]; \
$CellContext`readitem = ReplaceAll[$CellContext`readitem, {Cell[
                   TextData[{
                    Pattern[$CellContext`a, 
                    Blank[]]}], 
                   Pattern[$CellContext`b, 
                    
                    BlankSequence[]]] :> $CellContext`a}]; \
$CellContext`readitem = ReplaceAll[
                ReplaceAll[
                 Union[
                  Flatten[
                   StringCases[$CellContext`readitem, 
                    Repeated[WordCharacter]]]], {Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], 
                    StringMatchQ[$CellContext`a1, NumberString]] :> 
                  Sequence[], Condition[
                    Pattern[$CellContext`a1, 
                    Blank[String]], StringLength[$CellContext`a1] == 1] :> 
                  Sequence[]}], {{
                   Pattern[$CellContext`a, 
                    BlankNullSequence[String]], 
                   Pattern[$CellContext`b, 
                    Blank[String]]} :> StringJoin[{
                    Apply[Sequence, 
                    Flatten[
                    Map[{#, "+"}& , {$CellContext`a}]]], $CellContext`b}]}]; 
             If[$CellContext`readitem === {}, $CellContext`readitem = {
                ""}]; $CellContext`readitem = 
              StringJoin["http://www.google.com/search?hl=en&q=", 
                StringReplace[$CellContext`readitem, " " -> "+"], ""]; {
               URL[$CellContext`readitem], None}]],
         Evaluator->Automatic]}
      }]}
   },
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  DynamicModuleValues:>{}]], NotebookDefault,
 WindowFloating->"True",
 CellFrameMargins->1,
 Background->GrayLevel[0.800008],
 CellTags->"Button cell"]
},
WindowSize->{Fit, Fit},
WindowMargins->{{Automatic, 179}, {Automatic, 1}},
WindowFrame->"Palette",
WindowElements->{},
WindowFrameElements->{"CloseBox", "MinimizeBox"},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Palette.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Button cell"->{
  Cell[546, 20, 189414, 4176, 218, NotebookDefault,
   CellTags->"Button cell"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Button cell", 190356, 4211}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[546, 20, 189414, 4176, 218, NotebookDefault,
 CellTags->"Button cell"]
}
]
*)

(* End of internal cache information *)

